
#include <stdio.h>
#include "a3kfsio.h"

struct structDirData

{

    int pVccb;

    int ynode;

    char fname[20];

} DirData;

main(int argc, char * argv[])
{
	int ret;
	char* p;
	printf("a3kfsio Version: %d.%d\n",
		getDLLMainVersion(),
		getDLLMinorVersion()
		);

	// setup code

	ret = a3kaspiSetup();
	printf("a3kaspiSetup(): %d\r\n",ret);
	if (ret) exit(1);

	ret = a3kNumAdapters();
	printf("a3kNumAdapters(): %d\r\n",ret);


	ret = a3kVmmInitialize();	// must be done to init sfsio.dll!!!
	printf("a3kVmmInitialize(): %d\r\n",ret);
	if (ret) printf("%s\n",a3ksfsErrorText(ret));


	//aVmmId = getaVmmId();		// you can ignore this
	//pVccb = getpVccb();		// and this, I think.
	ret = getaVmmId();		// you can ignore this
	printf("getaVmmId(): %d\r\n",ret);
	if (ret) printf("%s\n",a3ksfsErrorText(ret));

	getpVccb();		// and this, I think.
	printf("getapVccb(): %d\r\n",ret);
	if (ret) printf("%s\n",a3ksfsErrorText(ret));

	printf("Scanning for disks...\r\n");

	ret = a3kclmInitialize();
	printf("a3kclmInitialize(): %d\r\n",ret);
	if (ret) printf("%s\n",a3ksfsErrorText(ret));


	// scheint normal, dass der folgende immer fail ist, oder er liefert
	// einen Wert zurck, der was bedeutet, z.b. einen Pointer
	ret = a3kpfsInitialize();
	printf("a3kpfsInitialize(): %d\r\n",ret);
	if (ret) printf("%s\n",a3ksfsErrorText(ret));

	ret = a3kMountAll();
	printf("a3kMountAll(): %d\r\n",ret);
	if (ret) printf("%s\n",a3ksfsErrorText(ret));

	a3kLs("2:6:0");
	printf("a3kLs(2:6:0): \r\n",ret);
	//a3kStatus();



#if 0
	ret = ScanForA3kDisks();
	printf("ScanForA3kDisks(): %d\r\n",ret);
	if (ret) printf("%s\n",a3ksfsErrorText(ret));

	ret = a3kNumA3kDisks();
	printf("a3kNumA3kDisks(): %d\r\n",ret);
	if (ret) printf("%s\n",a3ksfsErrorText(ret));
#endif
	// What's mounted?
	printf("\r\nMounted:\r\n");
	a3kStatus();		// printf()'s to stdout, a list of mounted partitions.




	return 0;
}




